# Copyright 2019 the V8 project authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can
# be found in the LICENSE file.

# This file is automatically generated by mkgrokdump and should not
# be modified manually.

# List of known V8 instance types.
INSTANCE_TYPES = {
  0: "INTERNALIZED_STRING_TYPE",
  2: "EXTERNAL_INTERNALIZED_STRING_TYPE",
  8: "ONE_BYTE_INTERNALIZED_STRING_TYPE",
  10: "EXTERNAL_ONE_BYTE_INTERNALIZED_STRING_TYPE",
  18: "UNCACHED_EXTERNAL_INTERNALIZED_STRING_TYPE",
  26: "UNCACHED_EXTERNAL_ONE_BYTE_INTERNALIZED_STRING_TYPE",
  32: "STRING_TYPE",
  33: "CONS_STRING_TYPE",
  34: "EXTERNAL_STRING_TYPE",
  35: "SLICED_STRING_TYPE",
  37: "THIN_STRING_TYPE",
  40: "ONE_BYTE_STRING_TYPE",
  41: "CONS_ONE_BYTE_STRING_TYPE",
  42: "EXTERNAL_ONE_BYTE_STRING_TYPE",
  43: "SLICED_ONE_BYTE_STRING_TYPE",
  45: "THIN_ONE_BYTE_STRING_TYPE",
  50: "UNCACHED_EXTERNAL_STRING_TYPE",
  58: "UNCACHED_EXTERNAL_ONE_BYTE_STRING_TYPE",
  64: "SYMBOL_TYPE",
  65: "HEAP_NUMBER_TYPE",
  66: "BIGINT_TYPE",
  67: "ODDBALL_TYPE",
  68: "MAP_TYPE",
  69: "CODE_TYPE",
  70: "MUTABLE_HEAP_NUMBER_TYPE",
  71: "FOREIGN_TYPE",
  72: "BYTE_ARRAY_TYPE",
  73: "BYTECODE_ARRAY_TYPE",
  74: "FREE_SPACE_TYPE",
  75: "FIXED_DOUBLE_ARRAY_TYPE",
  76: "FEEDBACK_METADATA_TYPE",
  77: "FILLER_TYPE",
  78: "ACCESS_CHECK_INFO_TYPE",
  79: "ACCESSOR_INFO_TYPE",
  80: "ACCESSOR_PAIR_TYPE",
  81: "ALIASED_ARGUMENTS_ENTRY_TYPE",
  82: "ALLOCATION_MEMENTO_TYPE",
  83: "ARRAY_BOILERPLATE_DESCRIPTION_TYPE",
  84: "ASM_WASM_DATA_TYPE",
  85: "ASYNC_GENERATOR_REQUEST_TYPE",
  86: "CLASS_POSITIONS_TYPE",
  87: "DEBUG_INFO_TYPE",
  88: "ENUM_CACHE_TYPE",
  89: "FUNCTION_TEMPLATE_INFO_TYPE",
  90: "FUNCTION_TEMPLATE_RARE_DATA_TYPE",
  91: "INTERCEPTOR_INFO_TYPE",
  92: "INTERPRETER_DATA_TYPE",
  93: "OBJECT_TEMPLATE_INFO_TYPE",
  94: "PROMISE_CAPABILITY_TYPE",
  95: "PROMISE_REACTION_TYPE",
  96: "PROTOTYPE_INFO_TYPE",
  97: "SCRIPT_TYPE",
  98: "SOURCE_POSITION_TABLE_WITH_FRAME_CACHE_TYPE",
  99: "SOURCE_TEXT_MODULE_INFO_ENTRY_TYPE",
  100: "STACK_FRAME_INFO_TYPE",
  101: "STACK_TRACE_FRAME_TYPE",
  102: "TEMPLATE_OBJECT_DESCRIPTION_TYPE",
  103: "TUPLE2_TYPE",
  104: "TUPLE3_TYPE",
  105: "WASM_CAPI_FUNCTION_DATA_TYPE",
  106: "WASM_DEBUG_INFO_TYPE",
  107: "WASM_EXCEPTION_TAG_TYPE",
  108: "WASM_EXPORTED_FUNCTION_DATA_TYPE",
  109: "WASM_INDIRECT_FUNCTION_TABLE_TYPE",
  110: "WASM_JS_FUNCTION_DATA_TYPE",
  111: "CALLABLE_TASK_TYPE",
  112: "CALLBACK_TASK_TYPE",
  113: "PROMISE_FULFILL_REACTION_JOB_TASK_TYPE",
  114: "PROMISE_REJECT_REACTION_JOB_TASK_TYPE",
  115: "PROMISE_RESOLVE_THENABLE_JOB_TASK_TYPE",
  116: "INTERNAL_CLASS_TYPE",
  117: "SMI_PAIR_TYPE",
  118: "SMI_BOX_TYPE",
  119: "SORT_STATE_TYPE",
  120: "SOURCE_TEXT_MODULE_TYPE",
  121: "SYNTHETIC_MODULE_TYPE",
  122: "ALLOCATION_SITE_TYPE",
  123: "EMBEDDER_DATA_ARRAY_TYPE",
  124: "FIXED_ARRAY_TYPE",
  125: "OBJECT_BOILERPLATE_DESCRIPTION_TYPE",
  126: "CLOSURE_FEEDBACK_CELL_ARRAY_TYPE",
  127: "HASH_TABLE_TYPE",
  128: "ORDERED_HASH_MAP_TYPE",
  129: "ORDERED_HASH_SET_TYPE",
  130: "ORDERED_NAME_DICTIONARY_TYPE",
  131: "NAME_DICTIONARY_TYPE",
  132: "GLOBAL_DICTIONARY_TYPE",
  133: "NUMBER_DICTIONARY_TYPE",
  134: "SIMPLE_NUMBER_DICTIONARY_TYPE",
  135: "STRING_TABLE_TYPE",
  136: "EPHEMERON_HASH_TABLE_TYPE",
  137: "SCOPE_INFO_TYPE",
  138: "SCRIPT_CONTEXT_TABLE_TYPE",
  139: "AWAIT_CONTEXT_TYPE",
  140: "BLOCK_CONTEXT_TYPE",
  141: "CATCH_CONTEXT_TYPE",
  142: "DEBUG_EVALUATE_CONTEXT_TYPE",
  143: "EVAL_CONTEXT_TYPE",
  144: "FUNCTION_CONTEXT_TYPE",
  145: "MODULE_CONTEXT_TYPE",
  146: "NATIVE_CONTEXT_TYPE",
  147: "SCRIPT_CONTEXT_TYPE",
  148: "WITH_CONTEXT_TYPE",
  149: "WEAK_FIXED_ARRAY_TYPE",
  150: "TRANSITION_ARRAY_TYPE",
  151: "CALL_HANDLER_INFO_TYPE",
  152: "CELL_TYPE",
  153: "CODE_DATA_CONTAINER_TYPE",
  154: "DESCRIPTOR_ARRAY_TYPE",
  155: "FEEDBACK_CELL_TYPE",
  156: "FEEDBACK_VECTOR_TYPE",
  157: "LOAD_HANDLER_TYPE",
  158: "PREPARSE_DATA_TYPE",
  159: "PROPERTY_ARRAY_TYPE",
  160: "PROPERTY_CELL_TYPE",
  161: "SHARED_FUNCTION_INFO_TYPE",
  162: "SMALL_ORDERED_HASH_MAP_TYPE",
  163: "SMALL_ORDERED_HASH_SET_TYPE",
  164: "SMALL_ORDERED_NAME_DICTIONARY_TYPE",
  165: "STORE_HANDLER_TYPE",
  166: "UNCOMPILED_DATA_WITHOUT_PREPARSE_DATA_TYPE",
  167: "UNCOMPILED_DATA_WITH_PREPARSE_DATA_TYPE",
  168: "WEAK_ARRAY_LIST_TYPE",
  169: "WEAK_CELL_TYPE",
  1024: "JS_PROXY_TYPE",
  1025: "JS_GLOBAL_OBJECT_TYPE",
  1026: "JS_GLOBAL_PROXY_TYPE",
  1027: "JS_MODULE_NAMESPACE_TYPE",
  1040: "JS_SPECIAL_API_OBJECT_TYPE",
  1041: "JS_PRIMITIVE_WRAPPER_TYPE",
  1056: "JS_API_OBJECT_TYPE",
  1057: "JS_OBJECT_TYPE",
  1058: "JS_ARGUMENTS_TYPE",
  1059: "JS_ARRAY_BUFFER_TYPE",
  1060: "JS_ARRAY_ITERATOR_TYPE",
  1061: "JS_ARRAY_TYPE",
  1062: "JS_ASYNC_FROM_SYNC_ITERATOR_TYPE",
  1063: "JS_ASYNC_FUNCTION_OBJECT_TYPE",
  1064: "JS_ASYNC_GENERATOR_OBJECT_TYPE",
  1065: "JS_CONTEXT_EXTENSION_OBJECT_TYPE",
  1066: "JS_DATE_TYPE",
  1067: "JS_ERROR_TYPE",
  1068: "JS_GENERATOR_OBJECT_TYPE",
  1069: "JS_MAP_TYPE",
  1070: "JS_MAP_KEY_ITERATOR_TYPE",
  1071: "JS_MAP_KEY_VALUE_ITERATOR_TYPE",
  1072: "JS_MAP_VALUE_ITERATOR_TYPE",
  1073: "JS_MESSAGE_OBJECT_TYPE",
  1074: "JS_PROMISE_TYPE",
  1075: "JS_REGEXP_TYPE",
  1076: "JS_REGEXP_STRING_ITERATOR_TYPE",
  1077: "JS_SET_TYPE",
  1078: "JS_SET_KEY_VALUE_ITERATOR_TYPE",
  1079: "JS_SET_VALUE_ITERATOR_TYPE",
  1080: "JS_STRING_ITERATOR_TYPE",
  1081: "JS_WEAK_REF_TYPE",
  1082: "JS_FINALIZATION_GROUP_CLEANUP_ITERATOR_TYPE",
  1083: "JS_FINALIZATION_GROUP_TYPE",
  1084: "JS_WEAK_MAP_TYPE",
  1085: "JS_WEAK_SET_TYPE",
  1086: "JS_TYPED_ARRAY_TYPE",
  1087: "JS_DATA_VIEW_TYPE",
  1088: "JS_INTL_V8_BREAK_ITERATOR_TYPE",
  1089: "JS_INTL_COLLATOR_TYPE",
  1090: "JS_INTL_DATE_TIME_FORMAT_TYPE",
  1091: "JS_INTL_LIST_FORMAT_TYPE",
  1092: "JS_INTL_LOCALE_TYPE",
  1093: "JS_INTL_NUMBER_FORMAT_TYPE",
  1094: "JS_INTL_PLURAL_RULES_TYPE",
  1095: "JS_INTL_RELATIVE_TIME_FORMAT_TYPE",
  1096: "JS_INTL_SEGMENT_ITERATOR_TYPE",
  1097: "JS_INTL_SEGMENTER_TYPE",
  1098: "WASM_EXCEPTION_TYPE",
  1099: "WASM_GLOBAL_TYPE",
  1100: "WASM_INSTANCE_TYPE",
  1101: "WASM_MEMORY_TYPE",
  1102: "WASM_MODULE_TYPE",
  1103: "WASM_TABLE_TYPE",
  1104: "JS_BOUND_FUNCTION_TYPE",
  1105: "JS_FUNCTION_TYPE",
}

# List of known V8 maps.
KNOWN_MAPS = {
  ("read_only_space", 0x00111): (74, "FreeSpaceMap"),
  ("read_only_space", 0x00161): (68, "MetaMap"),
  ("read_only_space", 0x001e1): (67, "NullMap"),
  ("read_only_space", 0x00249): (154, "DescriptorArrayMap"),
  ("read_only_space", 0x002a9): (149, "WeakFixedArrayMap"),
  ("read_only_space", 0x002f9): (77, "OnePointerFillerMap"),
  ("read_only_space", 0x00349): (77, "TwoPointerFillerMap"),
  ("read_only_space", 0x003c9): (67, "UninitializedMap"),
  ("read_only_space", 0x00439): (8, "OneByteInternalizedStringMap"),
  ("read_only_space", 0x004d9): (67, "UndefinedMap"),
  ("read_only_space", 0x00539): (65, "HeapNumberMap"),
  ("read_only_space", 0x005b9): (67, "TheHoleMap"),
  ("read_only_space", 0x00661): (67, "BooleanMap"),
  ("read_only_space", 0x00739): (72, "ByteArrayMap"),
  ("read_only_space", 0x00789): (124, "FixedArrayMap"),
  ("read_only_space", 0x007d9): (124, "FixedCOWArrayMap"),
  ("read_only_space", 0x00829): (127, "HashTableMap"),
  ("read_only_space", 0x00879): (64, "SymbolMap"),
  ("read_only_space", 0x008c9): (40, "OneByteStringMap"),
  ("read_only_space", 0x00919): (137, "ScopeInfoMap"),
  ("read_only_space", 0x00969): (161, "SharedFunctionInfoMap"),
  ("read_only_space", 0x009b9): (69, "CodeMap"),
  ("read_only_space", 0x00a09): (144, "FunctionContextMap"),
  ("read_only_space", 0x00a59): (152, "CellMap"),
  ("read_only_space", 0x00aa9): (160, "GlobalPropertyCellMap"),
  ("read_only_space", 0x00af9): (71, "ForeignMap"),
  ("read_only_space", 0x00b49): (150, "TransitionArrayMap"),
  ("read_only_space", 0x00b99): (156, "FeedbackVectorMap"),
  ("read_only_space", 0x00c39): (67, "ArgumentsMarkerMap"),
  ("read_only_space", 0x00cd9): (67, "ExceptionMap"),
  ("read_only_space", 0x00d79): (67, "TerminationExceptionMap"),
  ("read_only_space", 0x00e21): (67, "OptimizedOutMap"),
  ("read_only_space", 0x00ec1): (67, "StaleRegisterMap"),
  ("read_only_space", 0x00f31): (146, "NativeContextMap"),
  ("read_only_space", 0x00f81): (145, "ModuleContextMap"),
  ("read_only_space", 0x00fd1): (143, "EvalContextMap"),
  ("read_only_space", 0x01021): (147, "ScriptContextMap"),
  ("read_only_space", 0x01071): (139, "AwaitContextMap"),
  ("read_only_space", 0x010c1): (140, "BlockContextMap"),
  ("read_only_space", 0x01111): (141, "CatchContextMap"),
  ("read_only_space", 0x01161): (148, "WithContextMap"),
  ("read_only_space", 0x011b1): (142, "DebugEvaluateContextMap"),
  ("read_only_space", 0x01201): (138, "ScriptContextTableMap"),
  ("read_only_space", 0x01251): (126, "ClosureFeedbackCellArrayMap"),
  ("read_only_space", 0x012a1): (76, "FeedbackMetadataArrayMap"),
  ("read_only_space", 0x012f1): (124, "ArrayListMap"),
  ("read_only_space", 0x01341): (66, "BigIntMap"),
  ("read_only_space", 0x01391): (125, "ObjectBoilerplateDescriptionMap"),
  ("read_only_space", 0x013e1): (73, "BytecodeArrayMap"),
  ("read_only_space", 0x01431): (153, "CodeDataContainerMap"),
  ("read_only_space", 0x01481): (75, "FixedDoubleArrayMap"),
  ("read_only_space", 0x014d1): (132, "GlobalDictionaryMap"),
  ("read_only_space", 0x01521): (155, "ManyClosuresCellMap"),
  ("read_only_space", 0x01571): (124, "ModuleInfoMap"),
  ("read_only_space", 0x015c1): (70, "MutableHeapNumberMap"),
  ("read_only_space", 0x01611): (131, "NameDictionaryMap"),
  ("read_only_space", 0x01661): (155, "NoClosuresCellMap"),
  ("read_only_space", 0x016b1): (133, "NumberDictionaryMap"),
  ("read_only_space", 0x01701): (155, "OneClosureCellMap"),
  ("read_only_space", 0x01751): (128, "OrderedHashMapMap"),
  ("read_only_space", 0x017a1): (129, "OrderedHashSetMap"),
  ("read_only_space", 0x017f1): (130, "OrderedNameDictionaryMap"),
  ("read_only_space", 0x01841): (158, "PreparseDataMap"),
  ("read_only_space", 0x01891): (159, "PropertyArrayMap"),
  ("read_only_space", 0x018e1): (151, "SideEffectCallHandlerInfoMap"),
  ("read_only_space", 0x01931): (151, "SideEffectFreeCallHandlerInfoMap"),
  ("read_only_space", 0x01981): (151, "NextCallSideEffectFreeCallHandlerInfoMap"),
  ("read_only_space", 0x019d1): (134, "SimpleNumberDictionaryMap"),
  ("read_only_space", 0x01a21): (124, "SloppyArgumentsElementsMap"),
  ("read_only_space", 0x01a71): (162, "SmallOrderedHashMapMap"),
  ("read_only_space", 0x01ac1): (163, "SmallOrderedHashSetMap"),
  ("read_only_space", 0x01b11): (164, "SmallOrderedNameDictionaryMap"),
  ("read_only_space", 0x01b61): (120, "SourceTextModuleMap"),
  ("read_only_space", 0x01bb1): (135, "StringTableMap"),
  ("read_only_space", 0x01c01): (121, "SyntheticModuleMap"),
  ("read_only_space", 0x01c51): (166, "UncompiledDataWithoutPreparseDataMap"),
  ("read_only_space", 0x01ca1): (167, "UncompiledDataWithPreparseDataMap"),
  ("read_only_space", 0x01cf1): (168, "WeakArrayListMap"),
  ("read_only_space", 0x01d41): (136, "EphemeronHashTableMap"),
  ("read_only_space", 0x01d91): (123, "EmbedderDataArrayMap"),
  ("read_only_space", 0x01de1): (169, "WeakCellMap"),
  ("read_only_space", 0x01e31): (58, "NativeSourceStringMap"),
  ("read_only_space", 0x01e81): (32, "StringMap"),
  ("read_only_space", 0x01ed1): (41, "ConsOneByteStringMap"),
  ("read_only_space", 0x01f21): (33, "ConsStringMap"),
  ("read_only_space", 0x01f71): (45, "ThinOneByteStringMap"),
  ("read_only_space", 0x01fc1): (37, "ThinStringMap"),
  ("read_only_space", 0x02011): (35, "SlicedStringMap"),
  ("read_only_space", 0x02061): (43, "SlicedOneByteStringMap"),
  ("read_only_space", 0x020b1): (34, "ExternalStringMap"),
  ("read_only_space", 0x02101): (42, "ExternalOneByteStringMap"),
  ("read_only_space", 0x02151): (50, "UncachedExternalStringMap"),
  ("read_only_space", 0x021a1): (0, "InternalizedStringMap"),
  ("read_only_space", 0x021f1): (2, "ExternalInternalizedStringMap"),
  ("read_only_space", 0x02241): (10, "ExternalOneByteInternalizedStringMap"),
  ("read_only_space", 0x02291): (18, "UncachedExternalInternalizedStringMap"),
  ("read_only_space", 0x022e1): (26, "UncachedExternalOneByteInternalizedStringMap"),
  ("read_only_space", 0x02331): (58, "UncachedExternalOneByteStringMap"),
  ("read_only_space", 0x02381): (67, "SelfReferenceMarkerMap"),
  ("read_only_space", 0x023e9): (88, "EnumCacheMap"),
  ("read_only_space", 0x02489): (83, "ArrayBoilerplateDescriptionMap"),
  ("read_only_space", 0x02679): (91, "InterceptorInfoMap"),
  ("read_only_space", 0x04e59): (78, "AccessCheckInfoMap"),
  ("read_only_space", 0x04ea9): (79, "AccessorInfoMap"),
  ("read_only_space", 0x04ef9): (80, "AccessorPairMap"),
  ("read_only_space", 0x04f49): (81, "AliasedArgumentsEntryMap"),
  ("read_only_space", 0x04f99): (82, "AllocationMementoMap"),
  ("read_only_space", 0x04fe9): (84, "AsmWasmDataMap"),
  ("read_only_space", 0x05039): (85, "AsyncGeneratorRequestMap"),
  ("read_only_space", 0x05089): (86, "ClassPositionsMap"),
  ("read_only_space", 0x050d9): (87, "DebugInfoMap"),
  ("read_only_space", 0x05129): (89, "FunctionTemplateInfoMap"),
  ("read_only_space", 0x05179): (90, "FunctionTemplateRareDataMap"),
  ("read_only_space", 0x051c9): (92, "InterpreterDataMap"),
  ("read_only_space", 0x05219): (93, "ObjectTemplateInfoMap"),
  ("read_only_space", 0x05269): (94, "PromiseCapabilityMap"),
  ("read_only_space", 0x052b9): (95, "PromiseReactionMap"),
  ("read_only_space", 0x05309): (96, "PrototypeInfoMap"),
  ("read_only_space", 0x05359): (97, "ScriptMap"),
  ("read_only_space", 0x053a9): (98, "SourcePositionTableWithFrameCacheMap"),
  ("read_only_space", 0x053f9): (99, "SourceTextModuleInfoEntryMap"),
  ("read_only_space", 0x05449): (100, "StackFrameInfoMap"),
  ("read_only_space", 0x05499): (101, "StackTraceFrameMap"),
  ("read_only_space", 0x054e9): (102, "TemplateObjectDescriptionMap"),
  ("read_only_space", 0x05539): (103, "Tuple2Map"),
  ("read_only_space", 0x05589): (104, "Tuple3Map"),
  ("read_only_space", 0x055d9): (105, "WasmCapiFunctionDataMap"),
  ("read_only_space", 0x05629): (106, "WasmDebugInfoMap"),
  ("read_only_space", 0x05679): (107, "WasmExceptionTagMap"),
  ("read_only_space", 0x056c9): (108, "WasmExportedFunctionDataMap"),
  ("read_only_space", 0x05719): (109, "WasmIndirectFunctionTableMap"),
  ("read_only_space", 0x05769): (110, "WasmJSFunctionDataMap"),
  ("read_only_space", 0x057b9): (111, "CallableTaskMap"),
  ("read_only_space", 0x05809): (112, "CallbackTaskMap"),
  ("read_only_space", 0x05859): (113, "PromiseFulfillReactionJobTaskMap"),
  ("read_only_space", 0x058a9): (114, "PromiseRejectReactionJobTaskMap"),
  ("read_only_space", 0x058f9): (115, "PromiseResolveThenableJobTaskMap"),
  ("read_only_space", 0x05949): (116, "InternalClassMap"),
  ("read_only_space", 0x05999): (117, "SmiPairMap"),
  ("read_only_space", 0x059e9): (118, "SmiBoxMap"),
  ("read_only_space", 0x05a39): (119, "SortStateMap"),
  ("read_only_space", 0x05a89): (122, "AllocationSiteWithWeakNextMap"),
  ("read_only_space", 0x05ad9): (122, "AllocationSiteWithoutWeakNextMap"),
  ("read_only_space", 0x05b29): (157, "LoadHandler1Map"),
  ("read_only_space", 0x05b79): (157, "LoadHandler2Map"),
  ("read_only_space", 0x05bc9): (157, "LoadHandler3Map"),
  ("read_only_space", 0x05c19): (165, "StoreHandler0Map"),
  ("read_only_space", 0x05c69): (165, "StoreHandler1Map"),
  ("read_only_space", 0x05cb9): (165, "StoreHandler2Map"),
  ("read_only_space", 0x05d09): (165, "StoreHandler3Map"),
  ("map_space", 0x00111): (1057, "ExternalMap"),
  ("map_space", 0x00161): (1073, "JSMessageObjectMap"),
}

# List of known V8 objects.
KNOWN_OBJECTS = {
  ("read_only_space", 0x001b1): "NullValue",
  ("read_only_space", 0x00231): "EmptyDescriptorArray",
  ("read_only_space", 0x00299): "EmptyWeakFixedArray",
  ("read_only_space", 0x00399): "UninitializedValue",
  ("read_only_space", 0x004a9): "UndefinedValue",
  ("read_only_space", 0x00529): "NanValue",
  ("read_only_space", 0x00589): "TheHoleValue",
  ("read_only_space", 0x00621): "HoleNanValue",
  ("read_only_space", 0x00631): "TrueValue",
  ("read_only_space", 0x006e1): "FalseValue",
  ("read_only_space", 0x00729): "empty_string",
  ("read_only_space", 0x00be9): "EmptyScopeInfo",
  ("read_only_space", 0x00bf9): "EmptyFixedArray",
  ("read_only_space", 0x00c09): "ArgumentsMarker",
  ("read_only_space", 0x00ca9): "Exception",
  ("read_only_space", 0x00d49): "TerminationException",
  ("read_only_space", 0x00df1): "OptimizedOut",
  ("read_only_space", 0x00e91): "StaleRegister",
  ("read_only_space", 0x023d1): "EmptyEnumCache",
  ("read_only_space", 0x02439): "EmptyPropertyArray",
  ("read_only_space", 0x02449): "EmptyByteArray",
  ("read_only_space", 0x02459): "EmptyObjectBoilerplateDescription",
  ("read_only_space", 0x02471): "EmptyArrayBoilerplateDescription",
  ("read_only_space", 0x024d9): "EmptyClosureFeedbackCellArray",
  ("read_only_space", 0x024e9): "EmptySloppyArgumentsElements",
  ("read_only_space", 0x02509): "EmptySlowElementDictionary",
  ("read_only_space", 0x02551): "EmptyOrderedHashMap",
  ("read_only_space", 0x02579): "EmptyOrderedHashSet",
  ("read_only_space", 0x025a1): "EmptyFeedbackMetadata",
  ("read_only_space", 0x025b1): "EmptyPropertyCell",
  ("read_only_space", 0x025d9): "EmptyPropertyDictionary",
  ("read_only_space", 0x02629): "NoOpInterceptorInfo",
  ("read_only_space", 0x026c9): "EmptyWeakArrayList",
  ("read_only_space", 0x026e1): "InfinityValue",
  ("read_only_space", 0x026f1): "MinusZeroValue",
  ("read_only_space", 0x02701): "MinusInfinityValue",
  ("read_only_space", 0x02711): "SelfReferenceMarker",
  ("read_only_space", 0x02769): "OffHeapTrampolineRelocationInfo",
  ("read_only_space", 0x02781): "TrampolineTrivialCodeDataContainer",
  ("read_only_space", 0x02799): "TrampolinePromiseRejectionCodeDataContainer",
  ("read_only_space", 0x027b1): "HashSeed",
  ("old_space", 0x00111): "ArgumentsIteratorAccessor",
  ("old_space", 0x00181): "ArrayLengthAccessor",
  ("old_space", 0x001f1): "BoundFunctionLengthAccessor",
  ("old_space", 0x00261): "BoundFunctionNameAccessor",
  ("old_space", 0x002d1): "ErrorStackAccessor",
  ("old_space", 0x00341): "FunctionArgumentsAccessor",
  ("old_space", 0x003b1): "FunctionCallerAccessor",
  ("old_space", 0x00421): "FunctionNameAccessor",
  ("old_space", 0x00491): "FunctionLengthAccessor",
  ("old_space", 0x00501): "FunctionPrototypeAccessor",
  ("old_space", 0x00571): "StringLengthAccessor",
  ("old_space", 0x005e1): "InvalidPrototypeValidityCell",
  ("old_space", 0x005f1): "EmptyScript",
  ("old_space", 0x00671): "ManyClosuresCell",
  ("old_space", 0x00689): "ArrayConstructorProtector",
  ("old_space", 0x00699): "NoElementsProtector",
  ("old_space", 0x006c1): "IsConcatSpreadableProtector",
  ("old_space", 0x006d1): "ArraySpeciesProtector",
  ("old_space", 0x006f9): "TypedArraySpeciesProtector",
  ("old_space", 0x00721): "PromiseSpeciesProtector",
  ("old_space", 0x00749): "StringLengthProtector",
  ("old_space", 0x00759): "ArrayIteratorProtector",
  ("old_space", 0x00781): "ArrayBufferDetachingProtector",
  ("old_space", 0x007a9): "PromiseHookProtector",
  ("old_space", 0x007d1): "PromiseResolveProtector",
  ("old_space", 0x007e1): "MapIteratorProtector",
  ("old_space", 0x00809): "PromiseThenProtector",
  ("old_space", 0x00831): "SetIteratorProtector",
  ("old_space", 0x00859): "StringIteratorProtector",
  ("old_space", 0x00881): "SingleCharacterStringCache",
  ("old_space", 0x01091): "StringSplitCache",
  ("old_space", 0x018a1): "RegExpMultipleCache",
  ("old_space", 0x020b1): "BuiltinsConstantsTable",
}

# List of known V8 Frame Markers.
FRAME_MARKERS = (
  "ENTRY",
  "CONSTRUCT_ENTRY",
  "EXIT",
  "OPTIMIZED",
  "WASM_COMPILED",
  "WASM_TO_JS",
  "JS_TO_WASM",
  "WASM_INTERPRETER_ENTRY",
  "C_WASM_ENTRY",
  "WASM_EXIT",
  "WASM_COMPILE_LAZY",
  "INTERPRETED",
  "STUB",
  "BUILTIN_CONTINUATION",
  "JAVA_SCRIPT_BUILTIN_CONTINUATION",
  "JAVA_SCRIPT_BUILTIN_CONTINUATION_WITH_CATCH",
  "INTERNAL",
  "CONSTRUCT",
  "ARGUMENTS_ADAPTOR",
  "BUILTIN",
  "BUILTIN_EXIT",
  "NATIVE",
)

# This set of constants is generated from a shipping build.
